<?php include "includes/header.php";



if(isset($_POST['submitSalario'])){

    $nome = $_POST['nome'];
    $mes_salario = $_POST['mes_salario'];
    $salarioBase = $_POST['salarioBase'];
    $numero_faltas = $_POST['faltas'];
    $descontosInternos = $_POST['descontosInternos'];
    $inss = $_POST['inss'];
    $irps = $_POST['irps'];
    $bonus = $_POST['bonus'];
    $now = date('Y-m-d');
    $user = $_SESSION['nome'];
    $salario_diario = $salarioBase / 30;     
    $descontoFaltas = $salario_diario * $numero_faltas;

    $salarioCdescontos = $salarioBase - $descontoFaltas - $descontosInternos - $inss - $irps; 

    $salarioLiquido = $salarioCdescontos + $bonus;

    $verifica = $database->query("SELECT * FROM salarios WHERE nome='$nome' AND mes_salario='$mes_salario' AND ano='$ano'");
    $count = mysqli_num_rows($verifica);

    if($count ==1){
        echo "<script>alert('Antecao! Salario de $nome do mes de $mes_salario de $ano ja foi pago')</script>";
        echo "<script>window.open('salarios.php','_self')</script>";
    }else{

    $successPayments = $database->query("INSERT INTO salarios(nome,mes_salario,salarioBase,faltas,descontosInternos,inss,irps,
    salarioCdescontos,bonus,salarioLiquido,hora,data,mes,ano,usuario)VALUES('$nome','$mes_salario','$salarioBase','$numero_faltas',
    '$descontosInternos','$inss','$irps','$salarioCdescontos','$bonus','$salarioLiquido','$hora','$now','$mes','$ano','$user')");


    echo "<script>alert('Salario do mes de $mes_salario de $nome pago com sucesso')</script>";
    echo "<script>window.open('salarios.php','_self')</script>";
}
}


?>